<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbServiceTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_service', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_svc_acc')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('site_id', 'fk_svc_grp')->references('site_id')->on('ab_group')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_service', function(Blueprint $table)
		{
			$table->dropForeign('fk_svc_acc');
			$table->dropForeign('fk_svc_grp');
		});
	}

}
